# # #
# /70/micrologger_snippet.rb
# (c) 2015 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/70-get-your-microscope-for-micrologger-a-small-logger-on-top-of-microevent-rb
# # #

class MicroLogger
  include MicroEvent

  def log(message, level = :info, extra = {})
    trigger level, message, {level: level, time: Time.now}.merge(extra)
  end

  def register(level = :info, handler = nil, &block)
    bind level, &resolve_handler(handler || block)
  end

  # ...
